import { Progress as ProgressPrimitive } from '@base-ui/react/progress';
export interface ProgressProps extends Omit<ProgressPrimitive.Root.Props, 'value'> {
    /** Current progress value (0-100) */
    value?: number | null;
}
declare function Progress({ className, children, value, ...props }: ProgressProps): import("react/jsx-runtime").JSX.Element;
declare namespace Progress {
    var displayName: string;
}
declare function ProgressTrack({ className, ...props }: ProgressPrimitive.Track.Props): import("react/jsx-runtime").JSX.Element;
declare namespace ProgressTrack {
    var displayName: string;
}
declare function ProgressIndicator({ className, ...props }: ProgressPrimitive.Indicator.Props): import("react/jsx-runtime").JSX.Element;
declare namespace ProgressIndicator {
    var displayName: string;
}
declare function ProgressLabel({ className, ...props }: ProgressPrimitive.Label.Props): import("react/jsx-runtime").JSX.Element;
declare namespace ProgressLabel {
    var displayName: string;
}
declare function ProgressValue({ className, ...props }: ProgressPrimitive.Value.Props): import("react/jsx-runtime").JSX.Element;
declare namespace ProgressValue {
    var displayName: string;
}
export { Progress, ProgressIndicator, ProgressLabel, ProgressTrack, ProgressValue, };
